'use strict';

class Person {
  constructor(first, last) {
    this.first = first;
    this.last = last;
    Person.count++;
  }
  
  static countValue() {
    return Person.count;
  }
  toString() {
    return `${this.first} ${this.last}`
  }
}
Person.count = 0;

class CoolPerson extends Person {
  constructor(first, last, coolIndex) {
    super(first, last);
    this.coolIndex = coolIndex;
  }
  
  toString() {
    return `${this.coolIndex} ${super.toString()}`
  }
}

let sam = new CoolPerson('Sam', 'Johnson', 10);
console.log(sam.toString());

